summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--scripts/netifd-wireless.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/netifd-wireless.sh b/scripts/netifd-wireless.sh
index 7ae3695..3cb55a3 100644
--- a/scripts/netifd-wireless.sh
+++ b/scripts/netifd-wireless.sh
@@ -58,7 +58,7 @@ _wdev_prepare_channel() {
;;
esac
- [[ "$hwmode_n" = "$hwmode" ]] && {
+ [[ "$hwmode_n" = "$hwmode" ]] || {
enable_ht=1
hwmode="$hwmode_n"
@@ -283,7 +283,7 @@ for_each_interface() {
}
_wdev_common_device_config() {
- config_add_string channel hwmode
+ config_add_string channel hwmode htmode
}
_wdev_common_iface_config() {